# Uses of Interface
org.eclipse.birt.report.model.api.core.Listener

Packages that use Listener
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of Listener in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api with parameters of type Listener
Modifier and Type
Method
Description
`final void`
ContentElementHandle.`addListener(Listener obj)`
`void`
DesignElementHandle.`addListener(Listener obj)`
Registers a change event listener.
`final void`
ContentElementHandle.`removeListener(Listener obj)`
`void`
DesignElementHandle.`removeListener(Listener obj)`
Removes a given listener.